package com.retail_store.order_management.constants;

/**
 * Enumeration class of name Color
 * Used different constants according to the project requirement
 *
 * According to the given option in the console this class methods or functionality
 * is called
 */
public enum Color {
    EXIT(0), RED(1), GREEN(2), BLUE(3), BROWN(4), GREY(5), WHITE(6), PINK(7), YELLOW(8), BLACK(9), PURPLE(10), ORANGE(11), SKY_BLUE(12);
    int option;
    /**
     * Method returns according to the selected option in the console
     * @return int
     */
    public int getOption() {
        return option;
    }
    /**
     * Parameterised Constructor
     * @param option
     */
    Color(int option) {
        this.option = option;
    }
}
